Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.metadata.portlet
Class MarkupAttribute

    java.lang.Object
      org.jboss.portal.core.metadata.portlet.MarkupAttribute

    public class MarkupAttribute

extends java.lang.Object

A markup attribute.

Version:
  $Revision: 7228 $
Author:
  Julien Viet

Nested Class Summary
`static class` | `MarkupAttribute.Type` The type of the attribute value.

Constructor Summary
`MarkupAttribute(java.lang.String name, java.lang.String value, MarkupAttribute.Type type)`

Method Summary
`java.lang.String` | `getEncodedValue()`
`java.lang.String` | `getEncodedValue(java.lang.String contextPath)`
`java.lang.String` | `getName()`
`MarkupAttribute.Type` | `getType()`
`java.lang.String` | `getValue()`
`java.lang.String` | `toString()`
`java.lang.String` | `toString(java.lang.String contextPath)`
`void` | `write(java.lang.String urlPrefix, java.io.Writer writer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MarkupAttribute

    public MarkupAttribute(java.lang.String name,
                           java.lang.String value,
                           MarkupAttribute.Type type)

Parameters:
  `name` - the attribute name
  `value` - the attribute value
  `type` - the attribute type

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getName

    public java.lang.String getName()

### getValue

    public java.lang.String getValue()

### getEncodedValue

    public java.lang.String getEncodedValue()

### getEncodedValue

    public java.lang.String getEncodedValue(java.lang.String contextPath)

### getType

    public MarkupAttribute.Type getType()

### write

    public void write(java.lang.String urlPrefix,
                      java.io.Writer writer)
               throws org.jboss.portal.common.io.UndeclaredIOException

  Throws:
    `org.jboss.portal.common.io.UndeclaredIOException`

### toString

    public java.lang.String toString(java.lang.String contextPath)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD